#delimit ;

use ausmurd;
rename statenum state;

tab state;
tab state, nolabel;

set scheme s1mono, permanently;

keep if state == 1 | 
        state == 2 |
        state == 4 | 
        state == 7 |
        state == 9;

replace year = year + 1900;

********** ;

label var year "Year";
label var rate "Murders per 100,000 Persons";

graph twoway (line rate year if state == 1) (scatter rate year if state == 1 & year == (1990-1), msymbol(O)), ti("New South Wales") name(one,replace) legend(off);
graph twoway (line rate year if state == 2) (scatter rate year if state == 2 & year == (1988-1), msymbol(O)), ti("Victoria") name(two,replace) legend(off);
graph twoway (line rate year if state == 7) (scatter rate year if state == 7 & year == (1991-1), msymbol(O)), ti("Northern Territory") name(three,replace) legend(off);
graph twoway (line rate year if state == 4), ti("Western Australia [no turning point]") name(four,replace) legend(off);

graph combine one two three four, /* ti("App Fig 2: Murder Rates in Austalian Jurisdictions: 1976-1995")
  note("The legality of abortion remained unclear in Western Australia until the late 1990s") */;

graph export a1.eps, as(eps) orientation(landscape) replace;

********** ;

/* 
graph twoway (line rate year if state == 9), ti("Murder Rates for Australia: 1976-1995") legend(off);

graph export a2.eps, as(eps) orientation(landscape) replace;
*/

exit, clear; 
