#delimit ;

* dc.do 
* 
* Foote-Goetz version of effective abortion rate regressions, 
* includes crime-trend interactions, investigates role of DC, NY & CA
*
* ;

use ~/.ifs4/fg_mar07/data/dlab_fg06;
replace year = year + 1900;

keep if year >= 1985 & year <= 2003;

tab fips;
tab year;

sort fips year;
tsset fips year;

gen trend       = year - 1984;
gen trend_prop  = trend*prop7084;  
gen trend_viol  = trend*viol7084;  
gen trend_murd  = trend*murd7084;  

egen popwt = mean(censpop), by(fips);

/* Property Crime w/division-year  ********************************************* */

xi: prais newlpc_prop newefaprop            i.fips i.year*i.division [aw=popwt],                                        weights rhotype(regress) cluster(fips);
xi: prais newlpc_prop newefaprop trend_prop i.fips i.year*i.division [aw=popwt],                                        weights rhotype(regress) cluster(fips);

xi: prais newlpc_prop newefaprop            i.fips i.year*i.division [aw=popwt] if fips ~= 11,                          weights rhotype(regress) cluster(fips);
xi: prais newlpc_prop newefaprop trend_prop i.fips i.year*i.division [aw=popwt] if fips ~= 11,                          weights rhotype(regress) cluster(fips);

xi: prais newlpc_prop newefaprop            i.fips i.year*i.division [aw=popwt] if fips ~= 11 & fips ~= 6 & fips ~= 36, weights rhotype(regress) cluster(fips);
xi: prais newlpc_prop newefaprop trend_prop i.fips i.year*i.division [aw=popwt] if fips ~= 11 & fips ~= 6 & fips ~= 36, weights rhotype(regress) cluster(fips);

/* Violent Crime w/division-year  ******************************************* */

xi: prais newlpc_viol newefaviol            i.fips i.year*i.division [aw=popwt],                                        weights rhotype(regress) cluster(fips);
xi: prais newlpc_viol newefaviol trend_viol i.fips i.year*i.division [aw=popwt],                                        weights rhotype(regress) cluster(fips);

xi: prais newlpc_viol newefaviol            i.fips i.year*i.division [aw=popwt] if fips ~= 11,                          weights rhotype(regress) cluster(fips);
xi: prais newlpc_viol newefaviol trend_viol i.fips i.year*i.division [aw=popwt] if fips ~= 11,                          weights rhotype(regress) cluster(fips);

xi: prais newlpc_viol newefaviol            i.fips i.year*i.division [aw=popwt] if fips ~= 11 & fips ~= 6 & fips ~= 36, weights rhotype(regress) cluster(fips);
xi: prais newlpc_viol newefaviol trend_viol i.fips i.year*i.division [aw=popwt] if fips ~= 11 & fips ~= 6 & fips ~= 36, weights rhotype(regress) cluster(fips);

/* Murder w/division-year ******************************************* */

xi: prais newlpc_murd newefamurd            i.fips i.year*i.division [aw=popwt],                                        weights rhotype(regress) cluster(fips);
xi: prais newlpc_murd newefamurd trend_murd i.fips i.year*i.division [aw=popwt],                                        weights rhotype(regress) cluster(fips);

xi: prais newlpc_murd newefamurd            i.fips i.year*i.division [aw=popwt] if fips ~= 11,                          weights rhotype(regress) cluster(fips);
xi: prais newlpc_murd newefamurd trend_murd i.fips i.year*i.division [aw=popwt] if fips ~= 11,                          weights rhotype(regress) cluster(fips);

xi: prais newlpc_murd newefamurd            i.fips i.year*i.division [aw=popwt] if fips ~= 11 & fips ~= 6 & fips ~= 36, weights rhotype(regress) cluster(fips);
xi: prais newlpc_murd newefamurd trend_murd i.fips i.year*i.division [aw=popwt] if fips ~= 11 & fips ~= 6 & fips ~= 36, weights rhotype(regress) cluster(fips);

exit, clear;
