#delimit ;

* trends_ck.do 
* 
* Foote-Goetz version of effective abortion rate (state-year) 
* regressions, includes crime-trend interactions 
*
* Uses region-specific and division-specific trends 
* rather than region-year and division-year interactions 
*
* Omits LAST region and division from trend list (rather than the first)
* ;

use ~/.ifs4/fg_mar07/data/dlab_fg06;
replace year = year + 1900;

keep if year >= 1985 & year <= 2003;

sort fips year;
tsset fips year;

gen trend       = year - 1984;    
tab trend year;

gen trend_prop  = trend*prop7084;  
gen trend_viol  = trend*viol7084;  
gen trend_murd  = trend*murd7084;  

egen popwt = mean(censpop), by(fips);

  gen trend_r1 = (region == 1)*trend;
  gen trend_r2 = (region == 2)*trend;
  gen trend_r3 = (region == 3)*trend;
* gen trend_r4 = (region == 4)*trend;

  gen qtrend_r1 = (region == 1)*(trend^2);
  gen qtrend_r2 = (region == 2)*(trend^2);
  gen qtrend_r3 = (region == 3)*(trend^2);
* gen qtrend_r4 = (region == 4)*(trend^2);

  gen trend_d1 = (division == 1)*trend;
  gen trend_d2 = (division == 2)*trend;
  gen trend_d3 = (division == 3)*trend;
  gen trend_d4 = (division == 4)*trend;
  gen trend_d5 = (division == 5)*trend;
  gen trend_d6 = (division == 6)*trend;
  gen trend_d7 = (division == 7)*trend;
  gen trend_d8 = (division == 8)*trend;
* gen trend_d9 = (division == 9)*trend;

  gen qtrend_d1 = (division == 1)*(trend^2);
  gen qtrend_d2 = (division == 2)*(trend^2);
  gen qtrend_d3 = (division == 3)*(trend^2);
  gen qtrend_d4 = (division == 4)*(trend^2);
  gen qtrend_d5 = (division == 5)*(trend^2);
  gen qtrend_d6 = (division == 6)*(trend^2);
  gen qtrend_d7 = (division == 7)*(trend^2);
  gen qtrend_d8 = (division == 8)*(trend^2);
* gen qtrend_d9 = (division == 9)*(trend^2);

/* Property Crime  ********************************************* */

xi: prais newlpc_prop newefaprop            i.fips i.year                    [aw=popwt], weights rhotype(regress) cluster(fips);

xi: prais newlpc_prop newefaprop trend_prop i.fips i.year                    [aw=popwt], weights rhotype(regress) cluster(fips);

xi: prais newlpc_prop newefaprop trend_prop i.fips i.year trend_r*           [aw=popwt], weights rhotype(regress) cluster(fips);
  testparm trend_r*;

xi: prais newlpc_prop newefaprop trend_prop i.fips i.year trend_r* qtrend_r* [aw=popwt], weights rhotype(regress) cluster(fips);
  testparm trend_r* qtrend_r*;

xi: prais newlpc_prop newefaprop trend_prop i.fips i.year trend_d*           [aw=popwt], weights rhotype(regress) cluster(fips);
  testparm trend_d*;

xi: prais newlpc_prop newefaprop trend_prop i.fips i.year trend_d* qtrend_d* [aw=popwt], weights rhotype(regress) cluster(fips);
  testparm trend_d* qtrend_d*;

/* Violent Crime  ********************************************* */

xi: prais newlpc_viol newefaviol            i.fips i.year                    [aw=popwt], weights rhotype(regress) cluster(fips);

xi: prais newlpc_viol newefaviol trend_viol i.fips i.year                    [aw=popwt], weights rhotype(regress) cluster(fips);

xi: prais newlpc_viol newefaviol trend_viol i.fips i.year trend_r*           [aw=popwt], weights rhotype(regress) cluster(fips);
  testparm trend_r*;

xi: prais newlpc_viol newefaviol trend_viol i.fips i.year trend_r* qtrend_r* [aw=popwt], weights rhotype(regress) cluster(fips);
  testparm trend_r* qtrend_r*;

xi: prais newlpc_viol newefaviol trend_viol i.fips i.year trend_d*           [aw=popwt], weights rhotype(regress) cluster(fips);
  testparm trend_d*;

xi: prais newlpc_viol newefaviol trend_viol i.fips i.year trend_d* qtrend_d* [aw=popwt], weights rhotype(regress) cluster(fips);
  testparm trend_d* qtrend_d*;


/* Murder  ********************************************* */

xi: prais newlpc_murd newefamurd            i.fips i.year                    [aw=popwt], weights rhotype(regress) cluster(fips);

xi: prais newlpc_murd newefamurd trend_murd i.fips i.year                    [aw=popwt], weights rhotype(regress) cluster(fips);

xi: prais newlpc_murd newefamurd trend_murd i.fips i.year trend_r*           [aw=popwt], weights rhotype(regress) cluster(fips);
  testparm trend_r*;

xi: prais newlpc_murd newefamurd trend_murd i.fips i.year trend_r* qtrend_r* [aw=popwt], weights rhotype(regress) cluster(fips);
  testparm trend_r* qtrend_r*;

xi: prais newlpc_murd newefamurd trend_murd i.fips i.year trend_d*           [aw=popwt], weights rhotype(regress) cluster(fips);
  testparm trend_d*;

xi: prais newlpc_murd newefamurd trend_murd i.fips i.year trend_d* qtrend_d* [aw=popwt], weights rhotype(regress) cluster(fips);
  testparm trend_d* qtrend_d*;


exit, clear;
