log using dlabo.log, replace
drop _all 
set more 1 
set mem 10m
set mat 400 

/*The Impact of Legalized Abortion on Crime*/
/*John J. Donohue III and Steven D. Levitt*/

/* ************************************************* */
/* Table 4 */

clear
use ../../DLdata/dlabo.dta

tab year, gen(yy) nof
tab statenum, gen(ss) nof

/* WEIGHTED REGRESSIONS ******************************** */

/* Column 1*/
qui regress lpc_viol efav yy* ss* [aw=popul], robust 
predict resid, resid
sort statenum year
generate resid1=resid[_n-1] if statenum==statenum[_n-1]&year>84&year<98
generate resid1sq=(resid-resid1)^2
generate residsq=resid^2 if year>84&year<98
egen residnum=sum(resid1sq) if year>84&year<98
egen residden=sum(residsq) if year>84&year<98
generate rho=1-(residnum/residden)/2
sort statenum year
for var lpc_viol efav yy* ss*  \ new tpc_viol tefa tyy1-tyy33 tss1-tss51 : generate Y=X-rho*X[_n-1]
for var lpc_viol efav yy* ss* \ var tpc_viol tefa tyy1-tyy33 tss1-tss51 : replace Y=X*(1-rho^2)^.5 if year==85
regress tpc_viol tefa tyy* tss* [aw=popul], robust
drop tpc* tefa* tyy* tss* resid* rho

/* Column 3 */
qui regress lpc_prop efap yy* ss* [aw=popul], robust 
predict resid, resid
sort statenum year
generate resid1=resid[_n-1] if statenum==statenum[_n-1]&year>84&year<98
generate resid1sq=(resid-resid1)^2
generate residsq=resid^2 if year>84&year<98
egen residnum=sum(resid1sq) if year>84&year<98
egen residden=sum(residsq) if year>84&year<98
generate rho=1-(residnum/residden)/2
sort statenum year
for var lpc_prop efap yy* ss*  \ new tpc_prop tefa tyy1-tyy33 tss1-tss51 : generate Y=X-rho*X[_n-1]
for var lpc_prop efap yy* ss* \ var tpc_prop tefa tyy1-tyy33 tss1-tss51 : replace Y=X*(1-rho^2)^.5 if year==85
regress tpc_prop tefa tyy* tss* [aw=popul], robust
drop tpc* tefa* tyy* tss* resid* rho

/* Column 5 */
qui regress lpc_murd efamu yy* ss* [aw=popul], robust 
predict resid, resid
sort statenum year
generate resid1=resid[_n-1] if statenum==statenum[_n-1]&year>84&year<98
generate resid1sq=(resid-resid1)^2
generate residsq=resid^2 if year>84&year<98
egen residnum=sum(resid1sq) if year>84&year<98
egen residden=sum(residsq) if year>84&year<98
generate rho=1-(residnum/residden)/2
sort statenum year
for var lpc_murd efamu yy* ss*  \ new tpc_murd tefa tyy1-tyy33 tss1-tss51 : generate Y=X-rho*X[_n-1]
for var lpc_murd efamu yy* ss*  \ var tpc_murd tefa tyy1-tyy33 tss1-tss51 : replace Y=X*(1-rho^2)^.5 if year==85
regress tpc_murd tefa tyy* tss*  [aw=popul], robust
drop tpc* tefa* tyy* tss* resid* rho

