#delimit ;

* stateyr.do 
* 
* Foote-Goetz version of effective abortion rate regressions, 
* includes crime-trend interactions 
*
* ;

use ~/.ifs4/fg_mar07/data/dlab_fg06;
replace year = year + 1900;

keep if year >= 1985 & year <= 2003;

sort fips year;
tsset fips year;

gen trend       = year - 1984;
gen trend_prop  = trend*prop7084;  
gen trend_viol  = trend*viol7084;  
gen trend_murd  = trend*murd7084;  

egen popwt = mean(censpop), by(fips);

list fips year *7084 if fips <= 3;
list fips year trend if fips <= 3;

list fips year abort7084 prop7084 viol7084 murd7084   if fips <= 3;
list fips year trend trend_prop trend_viol trend_murd if fips <= 3;
list fips year div censpop popwt                      if fips <= 3;

/* Property Crime  ********************************************* */

xi: prais newlpc_prop    efaprop            i.fips i.year            if year <= 1997 [aw=popwt], weights rhotype(regress) cluster(fips);
xi: prais newlpc_prop newefaprop            i.fips i.year            if year <= 1997 [aw=popwt], weights rhotype(regress) cluster(fips);
xi: prais newlpc_prop newefaprop            i.fips i.year                            [aw=popwt], weights rhotype(regress) cluster(fips);
xi: prais newlpc_prop newefaprop            i.fips i.year*i.division                 [aw=popwt], weights rhotype(regress) cluster(fips);
xi: prais newlpc_prop newefaprop trend_prop i.fips i.year*i.division                 [aw=popwt], weights rhotype(regress) cluster(fips);

/* Violent Crime  ********************************************* */

xi: prais newlpc_viol    efaviol            i.fips i.year            if year <= 1997 [aw=popwt], weights rhotype(regress) cluster(fips);
xi: prais newlpc_viol newefaviol            i.fips i.year            if year <= 1997 [aw=popwt], weights rhotype(regress) cluster(fips);
xi: prais newlpc_viol newefaviol            i.fips i.year                            [aw=popwt], weights rhotype(regress) cluster(fips);
xi: prais newlpc_viol newefaviol            i.fips i.year*i.division                 [aw=popwt], weights rhotype(regress) cluster(fips);
xi: prais newlpc_viol newefaviol trend_viol i.fips i.year*i.division                 [aw=popwt], weights rhotype(regress) cluster(fips);

/* Murder  ********************************************* */

xi: prais newlpc_murd    efamurd            i.fips i.year            if year <= 1997 [aw=popwt], weights rhotype(regress) cluster(fips);
xi: prais newlpc_murd newefamurd            i.fips i.year            if year <= 1997 [aw=popwt], weights rhotype(regress) cluster(fips);
xi: prais newlpc_murd newefamurd            i.fips i.year                            [aw=popwt], weights rhotype(regress) cluster(fips);
xi: prais newlpc_murd newefamurd            i.fips i.year*i.division                 [aw=popwt], weights rhotype(regress) cluster(fips);
xi: prais newlpc_murd newefamurd trend_murd i.fips i.year*i.division                 [aw=popwt], weights rhotype(regress) cluster(fips);

exit, clear;
