log using dlabo.log, replace
drop _all 
set more 1 
set mem 10m
set mat 8000

/*The Impact of Legalized Abortion on Crime*/
/*John J. Donohue III and Steven D. Levitt*/

/* Tables 1-6 snipped out */

/* ************************************************ */
/* Table 7 */

use dlabo

keep statenum year mur* vio* pro* abort* xx* popul 
expand 10
sort statenum year
generate age=15
replace age=age[_n-1]+1 if statenum==statenum[_n-1]&year==year[_n-1]

summ
sort age statenum year
generate abort2=0

replace abort2=abort[_n-16] if age==15&statenum==statenum[_n-16]&age[_n-16]==age
replace abort2=abort[_n-17] if age==16&statenum==statenum[_n-17]&age[_n-17]==age
replace abort2=abort[_n-18] if age==17&statenum==statenum[_n-18]&age[_n-18]==age
replace abort2=abort[_n-19] if age==18&statenum==statenum[_n-19]&age[_n-19]==age
replace abort2=abort[_n-20] if age==19&statenum==statenum[_n-20]&age[_n-20]==age
replace abort2=abort[_n-21] if age==20&statenum==statenum[_n-21]&age[_n-21]==age
replace abort2=abort[_n-22] if age==21&statenum==statenum[_n-22]&age[_n-22]==age
replace abort2=abort[_n-23] if age==22&statenum==statenum[_n-23]&age[_n-23]==age
replace abort2=abort[_n-24] if age==23&statenum==statenum[_n-24]&age[_n-24]==age
replace abort2=abort[_n-25] if age==24&statenum==statenum[_n-25]&age[_n-25]==age

summ abort2
summ abort2 if year==90&age==15
summ abort2 if year==90&age==22
replace abort2=0 if abort2==.

generate violarr=.
replace violarr=vioarr15 if age==15
replace violarr=vioarr16 if age==16
replace violarr=vioarr17 if age==17
replace violarr=vioarr18 if age==18
replace violarr=vioarr19 if age==19
replace violarr=vioarr20 if age==20
replace violarr=vioarr21 if age==21
replace violarr=vioarr22 if age==22
replace violarr=vioarr23 if age==23
replace violarr=vioarr24 if age==24

generate proparr=.
replace proparr=proarr15 if age==15
replace proparr=proarr16 if age==16
replace proparr=proarr17 if age==17
replace proparr=proarr18 if age==18
replace proparr=proarr19 if age==19
replace proparr=proarr20 if age==20
replace proparr=proarr21 if age==21
replace proparr=proarr22 if age==22
replace proparr=proarr23 if age==23
replace proparr=proarr24 if age==24

generate murdarr=.
replace murdarr=murarr15 if age==15
replace murdarr=murarr16 if age==16
replace murdarr=murarr17 if age==17
replace murdarr=murarr18 if age==18
replace murdarr=murarr19 if age==19
replace murdarr=murarr20 if age==20
replace murdarr=murarr21 if age==21
replace murdarr=murarr22 if age==22
replace murdarr=murarr23 if age==23
replace murdarr=murarr24 if age==24

generate l_viol=ln(violarr)
generate l_prop=ln(proparr)
generate l_murd=ln(murdarr)

keep if year>84 & year<97

tab year, gen(yy) nof
tab statenum, gen(ss) nof
tab age, gen(aa) nof

generate yob=year-age
generate yobxsta=statenum*1000+yob

**generate statexage interactions
generate staxage=statenum*1000+age

**generate year*age interactions
generate yearxage=year*1000+age
tab yearxage, gen (ya) nof

**dividing by 100 to make consistent with other regressions

replace abort2=abort2/100

generate abor15=abort2*(age==15)
generate abor16=abort2*(age==16)
generate abor17=abort2*(age==17)
generate abor18=abort2*(age==18)
generate abor19=abort2*(age==19)
generate abor20=abort2*(age==20)
generate abor21=abort2*(age==21)
generate abor22=abort2*(age==22)
generate abor23=abort2*(age==23)
generate abor24=abort2*(age==24)

/* Run regressions */ 

xi: regress l_prop abort2 i.year*i.age i.statenum*i.age                   [aw=popul], cluster(yobxsta)
xi: regress l_prop abort2 i.year*i.age i.statenum*i.age                   [aw=popul], cluster(statenum)
xi: regress l_prop abort2 i.year*i.age i.statenum*i.age i.year*i.statenum [aw=popul], cluster(yobxsta)
xi: regress l_prop abort2 i.year*i.age i.statenum*i.age i.year*i.statenum [aw=popul], cluster(statenum)

xi: regress l_viol abort2 i.year*i.age i.statenum*i.age                   [aw=popul], cluster(yobxsta)
xi: regress l_viol abort2 i.year*i.age i.statenum*i.age                   [aw=popul], cluster(statenum)
xi: regress l_viol abort2 i.year*i.age i.statenum*i.age i.year*i.statenum [aw=popul], cluster(yobxsta)
xi: regress l_viol abort2 i.year*i.age i.statenum*i.age i.year*i.statenum [aw=popul], cluster(statenum)

exit, clear

* Ignore stuff below;

/* Column 1 */
regress l_viol abort2 ya* ss*  [aw=popul], robust cluster(yobxsta)

/* Column 2 */
regress l_viol abor15-abor24 ya* ss*  [aw=popul], robust cluster(yobxsta)

/* Column 3 */
areg l_viol abort2 ya*   [aw=popul], abs(staxage) robust cluster(yobxsta)

/* Column 4 */
areg l_viol abor15-abor24 ya*   [aw=popul], abs(staxage) robust cluster(yobxsta)

/* Column 5 */
regress l_prop abort2 ya* ss*  [aw=popul], robust cluster(yobxsta) 

/* Column 6*/
regress l_prop abor15-abor24 ya* ss*  [aw=popul], robust cluster(yobxsta) 

/* Column 7 */
areg l_prop abort2 ya*   [aw=popul], abs(staxage) robust cluster(yobxsta) 

/* Column 8 */
areg l_prop abor15-abor24 ya*   [aw=popul], abs(staxage) robust cluster(yobxsta) 



log close
