#delimit ;
clear ;

***************************
* SHARE1.DO -- estimates the fraction
* of pregnancies (Abortions + Births)
* that end in abortion in 1970-1984
* period, by state 
*
* Note that if pregnancies = 
* A + B, the fraction we want,
* (A/[A+B]), is 
* 
* 
* 1 / [1 + (A/B)^{-1}]
*
***************************;

set mem 100m;
set more off;

use ../data/dlab_fg06;
replace year = year + 1900;

keep fips st* abresrt year;
keep if year >= 1970 & year <= 1984;

tab year if abresrt ~= .;
tab fips if abresrt ~= .;

tab year if abresrt ~= 0;
tab fips if abresrt ~= 0;

summ abresrt;

sort fips year;
collapse (mean) abresrt, by(fips);

* Get abortion-births ratio as 
* share of abortions per birth, 
* not as abortions per 1,000 births;

replace abresrt = abresrt/1000;

* Invert this number and add 1;

gen invabresrt = (1/abresrt) + 1;

* Invert this number to get the share;

gen share = (1/invabresrt);

sort share;

drop invabresrt;

list;
